Agents
List agents
Lists the organization’s agents, newest first, one page at a time.
GET
/
agents
List agents
curl --request GET \
--url https://api.axilio.ai/api/v1/agents \
--header 'X-Axilio-Api-Key: <api-key>'import requests
url = "https://api.axilio.ai/api/v1/agents"
headers = {"X-Axilio-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Axilio-Api-Key': '<api-key>'}};
fetch('https://api.axilio.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axilio.ai/api/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Axilio-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axilio.ai/api/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Axilio-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axilio.ai/api/v1/agents")
.header("X-Axilio-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axilio.ai/api/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Axilio-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"agents": [
{
"accessibility_enabled": true,
"capture_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_cost_microdollars": 123,
"max_steps": 123,
"model": "<string>",
"name": "<string>",
"pause_timeout_seconds": 123,
"recording_enabled": true,
"telemetry_enabled": true,
"timeout_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"current_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"output_schema": {}
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Minimum role required: Viewer
Authorizations
Customer API key (axl_ prefix).
Query Parameters
Page size.
Required range:
1 <= x <= 200Where the page starts.
Required range:
x >= 0Narrow to agents whose name or id contains this, case-insensitively.
Maximum string length:
200Narrow to agents whose current revision is instructions or code. Omit for both.
Available options:
, instructions, code Only agents created at or after this time (RFC 3339).
Only agents created at or before this time (RFC 3339).
Only agents last run at or after this time (RFC 3339).
Only agents last run at or before this time (RFC 3339).
⌘I
List agents
curl --request GET \
--url https://api.axilio.ai/api/v1/agents \
--header 'X-Axilio-Api-Key: <api-key>'import requests
url = "https://api.axilio.ai/api/v1/agents"
headers = {"X-Axilio-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Axilio-Api-Key': '<api-key>'}};
fetch('https://api.axilio.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axilio.ai/api/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Axilio-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axilio.ai/api/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Axilio-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axilio.ai/api/v1/agents")
.header("X-Axilio-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axilio.ai/api/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Axilio-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"agents": [
{
"accessibility_enabled": true,
"capture_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_cost_microdollars": 123,
"max_steps": 123,
"model": "<string>",
"name": "<string>",
"pause_timeout_seconds": 123,
"recording_enabled": true,
"telemetry_enabled": true,
"timeout_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"current_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"output_schema": {}
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}